Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 335085 - x11-plugins/gkrellm-mailwatch does not respect LDFLAGS
Summary: x11-plugins/gkrellm-mailwatch does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Jim Ramsay (lack) (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-29 03:01 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-11-01 14:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (gkrellm-mailwatch-2.4.3:20100829-010454.log,2.28 KB, text/plain)
2010-08-29 03:02 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch for gkrellm-mailwatch-2.4.3.ebuild to respect CC, LDFLAGS, and user optimization setting (gkrellm-mailwatch-2.4.3.ebuild.patch,951 bytes, patch)
2010-08-30 03:09 UTC, Kevin Pyle
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-29 03:01:57 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-29 03:02:16 UTC
Created attachment 245187 [details]
Build log
Comment 2 Kevin Pyle 2010-08-30 03:09:11 UTC
Created attachment 245303 [details, diff]
Patch for gkrellm-mailwatch-2.4.3.ebuild to respect CC, LDFLAGS, and user optimization setting

This patch makes the following changes:

- Remove forced -O2.  The Makefile respected user CFLAGS, but appended a fixed -O2 afterward, so compilation was always -O2, regardless of user setting.
- Add $LDFLAGS to link line.
- Export CC via tc-export, so that a host-qualified compiler name is used.
Comment 3 Jim Ramsay (lack) (RETIRED) gentoo-dev 2010-11-01 14:19:48 UTC
Patched (slightly differently) in x11-plugins/gkrellm-mailwatch-2.4.3-r1